Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h	(revision 88)
@@ -28,34 +28,34 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _size_queue           ;
-  public : const uint32_t    _nb_context           ;
-  public : const uint32_t    _nb_front_end         ;
-  public : const uint32_t    _nb_ooo_engine        ;
-  public : const uint32_t    _nb_packet            ;
-  public : const uint32_t    _size_general_data    ;
-  public : const uint32_t    _size_special_data    ;
-  public : const uint32_t    _nb_general_register  ;
-  public : const uint32_t    _nb_special_register  ;
-  public : const uint32_t    _nb_gpr_write         ;
-  public : const uint32_t    _nb_spr_write         ;
-  public : const uint32_t    _size_store_queue     ;
-  public : const uint32_t    _size_load_queue      ;
+  public : uint32_t    _size_queue           ;
+  public : uint32_t    _nb_context           ;
+  public : uint32_t    _nb_front_end         ;
+  public : uint32_t    _nb_ooo_engine        ;
+  public : uint32_t    _nb_packet            ;
+//public : uint32_t    _size_general_data    ;
+//public : uint32_t    _size_special_data    ;
+  public : uint32_t    _nb_general_register  ;
+  public : uint32_t    _nb_special_register  ;
+  public : uint32_t    _nb_gpr_write         ;
+  public : uint32_t    _nb_spr_write         ;
+//public : uint32_t    _size_store_queue     ;
+//public : uint32_t    _size_load_queue      ;
 
-  public : const uint32_t    _nb_gpr_read          ;
-  public : const uint32_t    _nb_spr_read          ;    
-  public : const uint32_t    _size_context_id      ;
-  public : const uint32_t    _size_front_end_id    ;
-  public : const uint32_t    _size_ooo_engine_id   ;
-  public : const uint32_t    _size_rob_id          ;
-  public : const uint32_t    _size_general_register;
-  public : const uint32_t    _size_special_register;
+  public : uint32_t    _nb_gpr_read          ;
+  public : uint32_t    _nb_spr_read          ;    
+//public : uint32_t    _size_context_id      ;
+//public : uint32_t    _size_front_end_id    ;
+//public : uint32_t    _size_ooo_engine_id   ;
+//public : uint32_t    _size_rob_id          ;
+//public : uint32_t    _size_general_register;
+//public : uint32_t    _size_special_register;
 
-  public : const bool        _have_port_context_id   ;
-  public : const bool        _have_port_front_end_id ;
-  public : const bool        _have_port_ooo_engine_id;
-  public : const bool        _have_port_rob_id       ;
-  public : const bool        _have_port_load_queue_ptr;
+//public : bool        _have_port_context_id   ;
+//public : bool        _have_port_front_end_id ;
+//public : bool        _have_port_ooo_engine_id;
+//public : bool        _have_port_rob_id       ;
+//public : bool        _have_port_load_queue_ptr;
 
-  public : const uint32_t    _size_internal_queue;
+  public : uint32_t    _size_internal_queue;
 
     //-----[ methods ]-----------------------------------------------------------
@@ -72,8 +72,11 @@
 			uint32_t nb_spr_write       ,
 			uint32_t size_store_queue   ,
-			uint32_t size_load_queue    );
+			uint32_t size_load_queue    ,
+                        bool     is_toplevel=false  );
 
-  public : Parameters  (Parameters & param) ;
-  public : ~Parameters () ;
+//public : Parameters  (Parameters & param) ;
+  public : ~Parameters (void) ;
+
+  public : void                 copy      (void);
 
   public : Parameters_test      msg_error (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h	(revision 88)
@@ -14,5 +14,5 @@
 
 #include <iostream>
-#include <queue>
+#include <list>
 #include "Common/include/ToString.h"
 #include "Common/include/Debug.h"
@@ -154,5 +154,5 @@
     // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
   protected : Tread_queue_head_entry_t       * _queue_head;
-  protected : std::queue<Tread_queue_entry_t *>   * _queue;
+  protected : std::list<Tread_queue_entry_t *>   * _queue;
 
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
